{pkgs, ...}: {

  imports = [
    ../modules/home-manager/browser.nix
    ../modules/home-manager/code.nix
  ];

  stateVersion = "24.05";
  programs.git = {
    userName = "Remy Moll";
    userEmail = "me@moll.re";
  };
  programs.fish = {
    enable = true;
    # enableCompletion = true;
    plugins = [
      {
        name = "fzf-fish";
        src = pkgs.fetchFromGitHub {
          owner = "PatrickF1";
          repo = "fzf.fish";
          rev = "v10.3";
        }
      }
  };

  users.users.remy = {
    shell = pkgs.fish;
  };

  # set keyboard layout to german
  i18n.keyboard = {
    layout = "de";
    variant = "nodeadkeys";
  };
  
}
